import { Snackbar, ConfirmingAction, SnackbarType } from '../types';
/**
 * SnackbarBuilder to build Snackbar
 * @public
 * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export declare class SnackbarBuilder {
    private confirmingActions;
    private type;
    /**
     * @public
     * @param type - {@link SnackbarType}
     * @returns
     * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withType(type: SnackbarType): SnackbarBuilder;
    /**
     * Add confirming action to snackbar
     * @public
     * @param confirmingAction - {@link ConfirmingAction}
     * @returns
     * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    withConfirmingAction(confirmingAction: ConfirmingAction): SnackbarBuilder;
    /**
     * Build snackbar
     * @public
     * @returns Snackbar
     * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
     */
    build(): Snackbar;
}
/**
 * Get snackbar builder instance
 * @public
 * @deprecated Use showNotificationSnackbar instead or provide a NotificationStructure object when used with an event for a notification listener.
 */
export declare const getSnackbarBuilder: () => SnackbarBuilder;
//# sourceMappingURL=snackbar-builder-old.d.ts.map